Skip to content

Commit

Permalink
Add TGS4 PreSynchronize (Changelog compile) scripts (tgstation#40356)
Browse files Browse the repository at this point in the history
TGS4 does not have changelog shitcode
TGS4 does not have changelog shitcode
TGS4 does not have changelog shitcode
TGS4 does not have changelog shitcode
TGS4 does not have changelog shitcode
TGS4 does not have changelog shitcode
  • Loading branch information
Cyberboss authored and optimumtact committed Sep 23, 2018
1 parent f735a7d commit 100404e
Show file tree
Hide file tree
Showing 3 changed files with 71 additions and 0 deletions.
3 changes: 3 additions & 0 deletions tools/tgs4_scripts/PreSynchronize.bat
Original file line number Diff line number Diff line change
@@ -0,0 +1,3 @@
@echo off

powershell -NoProfile -ExecutionPolicy Bypass -File PreSynchronize.ps1 -game_path %1
31 changes: 31 additions & 0 deletions tools/tgs4_scripts/PreSynchronize.ps1
Original file line number Diff line number Diff line change
@@ -0,0 +1,31 @@
param(
$game_path
)

cd $game_path

Write-Host "Installing pip dependencies..."
pip3 install PyYaml beautifulsoup4
if(!$?){
Write-Host "pip3 returned non-zero!"
exit $LASTEXITCODE
}

Write-Host "Running changelog script..."
python3 tools/ss13_genchangelog.py html/changelog.html html/changelogs
if(!$?){
Write-Host "python3 returned non-zero!"
exit $LASTEXITCODE
}

Write-Host "Committing changes..."
git add html

if(!$?){
Write-Host "`git add` returned non-zero!"
exit $LASTEXITCODE
}

#we now don't care about failures
git commit -m "Automatic changelog compile, [ci skip]"
exit 0
37 changes: 37 additions & 0 deletions tools/tgs4_scripts/PreSynchronize.sh
Original file line number Diff line number Diff line change
@@ -0,0 +1,37 @@
#!/bin/sh

has_python="$(command -v python3)"
has_git="$(command -v git)"
has_sudo="$(command -v sudo)"
has_pip="$(command -v pip3)"

set -e

if ! { [ -x "$has_python" ] && [ -x "$has_pip" ] && [ -x "$has_git" ]; }; then
echo "Installing apt dependencies..."
if ! [ -x "$has_sudo" ]; then
apt update
apt install -y python3 python3-pip git
rm -rf /var/lib/apt/lists/*
else
sudo apt update
sudo apt install -y python3 python3-pip git
sudo rm -rf /var/lib/apt/lists/*
fi
fi

echo "Installing pip dependencies..."
pip3 install PyYaml beautifulsoup4

cd $1

echo "Running changelog script..."
python3 tools/ss13_genchangelog.py html/changelog.html html/changelogs

echo "Committing changes..."
git add html

#we now don't care about failures
set +e
git commit -m "Automatic changelog compile, [ci skip]"
exit 0

0 comments on commit 100404e

Please sign in to comment.